# Billing Preview Run A billing preview run asynchronously generates a downloadable CSV file containing a preview of future invoice item data and credit memo item data for a batch of customer accounts. **Note**: Credit memo item data is only available if you have the Invoice Settlement feature enabled. ## Create a billing preview run - [POST /v1/billing-preview-runs](https://developer.zuora.com/v1-api-reference/api/billing-preview-run/post_billingpreviewrun.md): Creates a billing preview run for single and multiple customer accounts. The maximum supported preview duration is 20 years, calculated from the current date to the target date. You can run up to 20 billing preview runs in batches concurrently. A single batch of customer accounts can only have one billing preview run at a time. So you can have up to 20 batches running at the same time. If you create a billing preview run for all customer batches, you cannot create another billing preview run until this preview run is completed. Note: The preview results for each billing preview run will be stored in the system for 180 days; after that they will be purged. ## Retrieve a billing preview run - [GET /v1/billing-preview-runs/{billingPreviewRunId}](https://developer.zuora.com/v1-api-reference/api/billing-preview-run/get_billingpreviewrun.md): Retrieves a preview of future invoice items for multiple customer accounts through a billing preview run. If you have the Invoice Settlement feature enabled, you can also retrieve a preview of future credit memo items. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. A billing preview run asynchronously generates a downloadable CSV file containing a preview of invoice item data and credit memo item data for a batch of customer accounts. Note that if you set storageOption to Database, no CSV file is generate; instead, you can have a record in the billing preview result. You can use data source to query Billing Preview Run Result.